Skip to main content
`Ctrl`+`K`

# imageio.plugins.tifffile_v3.TifffilePlugin.iter_pages

TifffilePlugin.iter_pages(index=Ellipsis, **kwargs)

  Yield pages from a TIFF file.

  This generator walks over the flat index of the pages inside an ImageResource and yields them in order.

  Parameters:
    index int

      The index of the series to yield pages from. If Ellipsis, walk over the file’s flat index (and ignore individual series).

    kwargs Any

      Additional kwargs are passed to TiffPage’s `as_array` method.

  Yields:
    page np.ndarray

      A page stored inside the TIFF file.